Get grossup calculator configuration
curl --request GET \
--url https://calculators.symmetry.com/api/calculators/grossup \
--header 'pcc-api-key: <api-key>'import requests
url = "https://calculators.symmetry.com/api/calculators/grossup"
headers = {"pcc-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'pcc-api-key': '<api-key>'}};
fetch('https://calculators.symmetry.com/api/calculators/grossup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_links": {
"calculate": {
"href": "https://calculators.symmetry.com/api/calculators/grossup?report=&showcalc=false&itd=false"
},
"self": {
"href": "https://calculators.symmetry.com/api/calculators/grossup?state=Arizona&format=model&print=false&imputed=false"
}
},
"content": {
"additionalFederalWithholding": 0,
"checkDate": "2025-11-18T16:03:36.103+00:00",
"deductions2020": 0,
"dependents2020": 0,
"exemptFederal": false,
"exemptFica": false,
"exemptMedicare": false,
"federalAllowances": 0,
"federalFilingStatusType": "SINGLE",
"federalFilingStatusType2020": "SINGLE",
"federalSupplementalFlat": false,
"grossPayYTD": 0,
"netPay": 0,
"otherIncome": null,
"otherIncome2020": 0,
"payFrequency": "WEEKLY",
"presetDeductions": null,
"presetImputed": null,
"print": null,
"roundFederalWithholding": false,
"state": "AZ",
"stateInfo": {
"parms": [
{
"name": "PERCENTSTATE",
"value": "2.0"
},
{
"name": "stateExemption",
"value": false
},
{
"name": "additionalStateWithholding",
"value": "0"
},
{
"name": "stateSupplemental",
"value": false
}
]
},
"twoJobs2020": false,
"voluntaryDeductions": [
{
"benefitType": "_Custom",
"deductionAmount": 0,
"deductionMethodType": "PERCENT_OF_GROSS",
"deductionName": "",
"exemptFederal": false,
"exemptFica": false,
"exemptLocal": false,
"exemptState": false,
"ytdAmount": 0
}
],
"w42020": false
}
}{
"content": "Invalid request parameter state=badstate"
}{
"message": "No api key found"
}{
"message": "Invalid api key"
}{
"error": "Not Found",
"path": "/api/calculators/grossup/badpath",
"status": 404,
"timestamp": 1641573466465
}{
"error": "Method Not Allowed",
"path": "/api/calculators/grossup",
"status": 405,
"timestamp": 1641572607838
}This response has no body data.Get grossup calculator configuration
Returns the grossup calculator model or field definitions for reverse paycheck calculations
GET
/
calculators
/
grossup
Get grossup calculator configuration
Authorizations
API key for CBS API authentication
Query Parameters
Two letter state abbreviation
Response format: model, fields, or schema
Available options:
fields, model, schema Include print object
Include otherIncome object
⌘I

